package org.holer.server.model;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import org.holer.server.constant.HolerType;


public class HolerReport implements Serializable {
    private Long onlineClient;
    private Long offlineClient;
    private Long enabledClient;
    private Long disabledClient;
    private Long expiredPort;
    private Long unexpiredPort;
    private Long activePort;
    private Long inactivePort;
    private Long upPort;
    private Long downPort;
    private Map<HolerType, Long> appType;
    private Map<Integer, Long> connection;
    private List<HolerData> traffic;

    public void setOnlineClient(Long onlineClient) {
        this.onlineClient = onlineClient;
    }

    public void setOfflineClient(Long offlineClient) {
        this.offlineClient = offlineClient;
    }

    public void setEnabledClient(Long enabledClient) {
        this.enabledClient = enabledClient;
    }

    public void setDisabledClient(Long disabledClient) {
        this.disabledClient = disabledClient;
    }

    public void setExpiredPort(Long expiredPort) {
        this.expiredPort = expiredPort;
    }

    public void setUnexpiredPort(Long unexpiredPort) {
        this.unexpiredPort = unexpiredPort;
    }

    public void setActivePort(Long activePort) {
        this.activePort = activePort;
    }

    public void setInactivePort(Long inactivePort) {
        this.inactivePort = inactivePort;
    }

    public void setUpPort(Long upPort) {
        this.upPort = upPort;
    }

    public void setDownPort(Long downPort) {
        this.downPort = downPort;
    }

    public void setAppType(Map<HolerType, Long> appType) {
        this.appType = appType;
    }

    public void setConnection(Map<Integer, Long> connection) {
        this.connection = connection;
    }

    public void setTraffic(List<HolerData> traffic) {
        this.traffic = traffic;
    }

    public Long getOnlineClient() {
        return this.onlineClient;
    }


    public Long getOfflineClient() {
        return this.offlineClient;
    }


    public Long getEnabledClient() {
        return this.enabledClient;
    }


    public Long getDisabledClient() {
        return this.disabledClient;
    }


    public Long getExpiredPort() {
        return this.expiredPort;
    }


    public Long getUnexpiredPort() {
        return this.unexpiredPort;
    }


    public Long getActivePort() {
        return this.activePort;
    }


    public Long getInactivePort() {
        return this.inactivePort;
    }


    public Long getUpPort() {
        return this.upPort;
    }


    public Long getDownPort() {
        return this.downPort;
    }


    public Map<HolerType, Long> getAppType() {
        return this.appType;
    }


    public Map<Integer, Long> getConnection() {
        return this.connection;
    }


    public List<HolerData> getTraffic() {
        return this.traffic;
    }
}
